#include <cctype>
#include <iostream>
#include <fstream>

#include"drzewo.h" 

string getword(istream &i)
{
	char c;
	string word;

	while(i.get(c) && isalpha(c)) word += (char)tolower(c);

	return word;
}


int main(int argc, char **argv)
{
	tree *d=NULL;
	istream *in = &cin;
	ifstream myFile;

	if (argc == 2) 
	{
		
		myFile.open(argv[1]);
		in = &myFile;

		if (!myFile.is_open()) 
		{
			cout << "Blad - nie udalo sie otworzyc pliku : " << argv[1] << endl;
			return 1;
		}
	}

	string  slowo;
	while (!(*in).eof()) 
	{
		slowo = getword(*in);
		if (slowo.length() > 0) d=add(d,slowo);
	}


	print(d);

	free_tree(d);
	d=NULL;
	if (in != &cin)  myFile.close();

	return 0;
}
